Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.log4j
Class Logger

    java.lang.Object
      org.apache.log4j.Category
          org.apache.log4j.Logger

    public class Logger

extends Category

Field Summary

Fields inherited from class org.apache.log4j.Category
`bundle`

Constructor Summary
`protected` | `Logger(String name)`

Method Summary
`static Logger` | `getLogger(Class<?> clazz)`
`static Logger` | `getLogger(String name)`
`static Logger` | `getLogger(String name, LoggerFactory factory)`
`static Logger` | `getRootLogger()`

Methods inherited from class org.apache.log4j.Category
`addAppender, assertLog, callAppenders, debug, debug, error, error, exists, fatal, fatal, forcedLog, getAdditivity, getAllAppenders, getAppender, getChainedPriority, getCurrentCategories, getEffectiveLevel, getInstance, getInstance, getLevel, getName, getParent, getPriority, getResourceBundle, getRoot, info, info, isAttached, isDebugEnabled, isEnabledFor, isErrorEnabled, isFatalEnabled, isInfoEnabled, isTraceEnabled, isWarnEnabled, l7dlog, l7dlog, log, log, log, removeAllAppenders, removeAppender, removeAppender, setAdditivity, setLevel, setPriority, setResourceBundle, shutdown, trace, trace, warn, warn`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Logger

    protected Logger(String name)

Method Detail

### getLogger

    public static Logger getLogger(String name)

### getLogger

    public static Logger getLogger(Class<?> clazz)

### getRootLogger

    public static Logger getRootLogger()

### getLogger

    public static Logger getLogger(String name,
                                   LoggerFactory factory)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2015 Apache Software Foundation. All Rights Reserved.
Apache Logging, Apache Log4j, Log4j, Apache, the Apache feather logo, the Apache Logging project logo, and the Apache Log4j logo are trademarks of The Apache Software Foundation.